Update a case status Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/cases-status/{uuid}

Path parameters

  • uuid string Required
application/json

Body

  • name string

    The name of the status.

  • colour string

    The colour of the status.

  • position integer

    The position of the status.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • colour string
    • position integer
    • is_type_completed boolean
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
PUT /api/v1/cases-status/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/cases-status/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"In Progress","colour":"#23852B","position":5}'
Request examples
{
  "name": "In Progress",
  "colour": "#23852B",
  "position": 5
}
Response examples (200)
[
  {
    "uuid": "c2ca13da-1917-4a9a-9ab3-9f6d9be55f92",
    "created_at": "2026-08-07T15:29:25+01:00",
    "updated_at": "2026-08-07T15:29:25+01:00",
    "name": "To Be Reviewed",
    "colour": "#23852B",
    "position": 5,
    "is_type_completed": false
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}